/*
	LUSScreenSaver Plugin LUSSSTemplate ( Default like )
	Copyright (C) 2003 ONO,Masayuki.<mono101@skill-engineering.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "LUSSSTemplateSetting.h"
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qwhatsthis.h>
#include <qcheckbox.h>
#include <qpe/config.h>
#include <qpe/qpeapplication.h>
#include <qtextcodec.h>

#define _T(str) QTextCodec::codecForLocale()->toUnicode(str)

LUSSSTemplateSetting::LUSSSTemplateSetting( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
	if ( ! name )
	{
		setName( "ReplaceDialog" );
	}

	int xx = 200;

	setCaption( _T( "ɽ" ) );

	Config cfg( "LUSScreenSaver" );
	cfg.setGroup( "LUSSSTemplate" );

	DateCheckBox = new QCheckBox( this, "DateCheckBox" );
	DateCheckBox->setGeometry( QRect( 8, 8, xx - 16, 25 ) );
	DateCheckBox->setText( _T( "" ) );
	DateCheckBox->setChecked( cfg.readBoolEntry( "Date", TRUE ) );

	TimeCheckBox = new QCheckBox( this, "TimeCheckBox" );
	TimeCheckBox->setGeometry( QRect( 8, 40, xx - 16, 25 ) );
	TimeCheckBox->setText( _T( "" ) );
	TimeCheckBox->setChecked( cfg.readBoolEntry( "Time", TRUE ) );

	PushButton1 = new QPushButton( this, "PushButton1" );
	PushButton1->setGeometry( QRect( 8, 70, xx - 144, 26 ) );
	PushButton1->setText( _T( "Ŭ" ) );

	PushButton2 = new QPushButton( this, "PushButton2" );
	PushButton2->setGeometry( QRect( xx - 118, 70, 110, 26 ) );
	PushButton2->setText( _T( "󥻥" ) );

	connect( PushButton1 ,SIGNAL( clicked() ), this, SLOT( accept() ) );
	connect( PushButton2 ,SIGNAL( clicked() ), this, SLOT( close() ) );
}


void LUSSSTemplateSetting::accept()
{
	if ( ! DateCheckBox->isOn()
		&& ! TimeCheckBox->isOn() )
	{
		DateCheckBox->setChecked( TRUE );
		TimeCheckBox->setChecked( TRUE );
	}
	
	Config cfg( "LUSScreenSaver" );
	cfg.setGroup( "LUSSSTemplate" );
	cfg.writeEntry( "Date", DateCheckBox->isOn() );
	cfg.writeEntry( "Time", TimeCheckBox->isOn() );
	close();
}

void LUSSSTemplateSetting::closeEvent( QCloseEvent* e )
{
	e->accept();
}


LUSSSTemplateSetting::~LUSSSTemplateSetting()
{
    // no need to delete child widgets, Qt does it all for us
}

